#
# Copyright (C) 1997 Ken MacLeod
# See the file COPYING for distribution terms.
#
# $Id: PI.pm,v 1.2 1997/10/06 03:52:02 ken Exp $
#

# Internally, an SGML::PI is blessed scalar

package SGML::PI;

use strict;

=head1 NAME

SGML::PI - an SGML, XML, or HTML document processing instruction

=head1 SYNOPSIS

  $data = $pi->data;

I<more to come, including iterators, C<new>, and C<as_string>>

=head1 DESCRIPTION

C<SGML::PI> objects are loaded by C<SGML::SPGrove>.  An C<SGML::PI>
contains the data in a Processing Instruction (PI).

C<$element-E<gt>data> returns the data of the PI object.

=head1 AUTHOR

Ken MacLeod, ken@bitsko.slc.ut.us

=head1 SEE ALSO

perl(1), SGML::SPGrove(3), Text::EntityMap(3), SGML::Element(3),
SGML::SData(3).

=cut

sub data {
    return $_[0];		# XXX de-reference?
}

sub accept {
    my ($self) = shift;
    my ($visitor) = shift;

    $visitor->visit_pi ($self, @_);
}

1;
